function y = SampleRateFactor(SMargin)
% 
% Usage: y = SampleRateFactor(SMargin)
%
% Purpose = This module is to obtain 'SampleRate' with the SMargin for WDM systems.
% 
% Input = SMargin  (default =4)
%     ( = positive integer, margin bandwidth is 'SMargin x ChannelSpacing' )
%     
% Output = SampleRateFactor (2^n form)
%    
% Note) SampleRate = SampleRateFactor*BitRate = 2^n*BitRate (n = integer). 
%
%----------------------------------------------------------
% $ Revision: 1.1 $ Date: 2011/02/22 by Jong-Hyung Lee  
%------------------------------------------------------------
%
%===============================================================================
global ChannelNumber ChannelSpacing BitRate

if nargin ==0,
   SMargin = 4;
end

y = 2^ceil(log2((ChannelNumber + SMargin)* ChannelSpacing/BitRate ));

