function y = WDM_Mux_Ideal(Optical_composite,IL)
%
% Usage: y = WDM_Mux_Ideal(Optical_composite,IL)
%
% Purpose = This module multiplexes N optical WDM channels with an adjustable insertion loss.
%
% Input Signal(Optical_composite) = (Composite) Optical Signal (size = [ChannelNumber x DataLength])
% Output Signal(y) = Optical Signal (size = [1 x DataLength])
%
% ==== Physical Parameters ===== 
%   IL  = insertion loss [dB]
%       = 0  (default)
%
% Note1) Filtering effect is NOT included.
%
%----------------------------------------------------------
% $ Revision: 1.1 $ Date: 2011/02/22 by Jong-Hyung Lee  
%------------------------------------------------------------
%
%===============================================================================================
if nargin<2,
   IL = 0;% [dB]
end

[a,b] = size(Optical_composite);

if a == 1  ; %single channel case
   Optical_input = Optical_composite;
else
   Optical_input = sum(Optical_composite); %Ideal Muxing
end

y = Attenuator(Optical_input,IL);

